

#include "stdio.h"
#include <string.h>

#include "xutil.h"
#include "xuartlite_l.h"
#include "../stage2boot/gfxlib.c"

#define XSIZE       12
#define YSIZE       11
#define XOFF        30
#define YOFF        12

int main (void)
{
    unsigned        x, y, c, i, j;
    unsigned char   hex_lookup[] = "0123456789abcdef";

    print ("Drawing palette\r\n");

    memset (video, 0, 64000);
    for (x = 0; x < 16; x++) {
        Text_Char(XOFF + (XSIZE/2) + (XSIZE*x) - 4, YOFF - 8,   
                    hex_lookup[ x ], 0x04);
    }
    for (y = 0; y < 16; y++) {
        Text_Char(XOFF - 16, YOFF + (YSIZE*y) + (YSIZE/2) - 4,   
                    hex_lookup[ y ], 0x04);
        Text_Char(XOFF - 8, YOFF + (YSIZE*y) + (YSIZE/2) - 4,   
                    '0', 0x04);
    }
    for (y = 0; y < 16; y++) {
        for (x = 0; x < 16; x++) {
            c = x + (y * 16);
            i = (((y * YSIZE) + YOFF) * 320) + (x * XSIZE) + XOFF;
            for (j = 0; j < (YSIZE - 1); j ++) {
                memset(&video[ i ], c, XSIZE - 1);
                i += 320;
            }
        }
    }
    print ("256 colours\r\n");

    while (1) {}
    return 0;
}


